Package org.apache.activemq.artemis.jms.transaction

## Class JMSTransactionDetail

- java.lang.Object
- - org.apache.activemq.artemis.core.transaction.TransactionDetail
  - - org.apache.activemq.artemis.jms.transaction.JMSTransactionDetail

-     public class JMSTransactionDetail
      extends org.apache.activemq.artemis.core.transaction.TransactionDetail

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.core.transaction.TransactionDetail

      `KEY_CREATION_TIME, KEY_MSG_BODY_BUFFER, KEY_MSG_OP_TYPE, KEY_MSG_PROPERTIES, KEY_MSG_TYPE, KEY_TX_RELATED_MESSAGES, KEY_XID_AS_BASE64, KEY_XID_BRANCH_QUAL, KEY_XID_FORMAT_ID, KEY_XID_GLOBAL_TXID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JMSTransactionDetail​(javax.transaction.xa.Xid xid, org.apache.activemq.artemis.core.transaction.Transaction tx, java.lang.Long creation)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.lang.Object>` | `decodeMessageProperties​(Message msg)` |
    `java.lang.String` | `decodeMessageType​(Message msg)` |

    - ### Methods inherited from class org.apache.activemq.artemis.core.transaction.TransactionDetail

      `toJSON`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSTransactionDetail

          public JMSTransactionDetail​(javax.transaction.xa.Xid xid,
                                      org.apache.activemq.artemis.core.transaction.Transaction tx,
                                      java.lang.Long creation)

  - ### Method Detail

    - #### decodeMessageType

          public java.lang.String decodeMessageType​(Message msg)

      Specified by:
        `decodeMessageType` in class `org.apache.activemq.artemis.core.transaction.TransactionDetail`

    - #### decodeMessageProperties

          public java.util.Map<java.lang.String,​java.lang.Object> decodeMessageProperties​(Message msg)

      Specified by:
        `decodeMessageProperties` in class `org.apache.activemq.artemis.core.transaction.TransactionDetail`